"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var config_service_1 = require("../services/config-service");
var validator_service_1 = require("../services/validator-service");
var mysql_service_1 = require("../services/mysql-service");
var tools_service_1 = require("../services/tools-service");
var DIContainer = new inversify_1.Container();
DIContainer.bind(config_service_1.ConfigService).toSelf().inSingletonScope();
DIContainer.bind(mysql_service_1.MysqlService).toSelf().inSingletonScope();
DIContainer.bind(tools_service_1.ToolsService).toSelf().inSingletonScope();
DIContainer.bind(validator_service_1.Validator).toSelf().inSingletonScope();
exports.default = DIContainer;
