import { ConfigService } from './config-service';
import { Validator } from './validator-service';
import { MysqlService } from './mysql-service';
import { ToolsService } from './tools-service';
import { Table } from '../models/table';
export declare class GeneratorService {
    configService: ConfigService;
    validatorService: Validator;
    mysqlService: MysqlService;
    toolsService: ToolsService;
    constructor(validatorService: Validator, mysqlService: MysqlService, toolsService: ToolsService, configService: ConfigService);
    generate(): Promise<void>;
    exportTables(tables: Table[]): Promise<void>;
}
