"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Column = void 0;
var utils_1 = require("../core/utils");
var Column = /** @class */ (function () {
    function Column(name, type, nullable) {
        this.name = name;
        this.type = type;
        this.nullable = nullable;
    }
    Column.prototype.getFieldDefinition = function (config, indent) {
        if (indent === void 0) { indent = 1; }
        return ' '.repeat(indent * 4) + ("public " + utils_1.formatName(config, this.name) + ": " + this.type + ";");
    };
    return Column;
}());
exports.Column = Column;
