import { ConfigService } from './config-service';
import { MysqlService } from './mysql-service';
import { Column } from '../models/column';
import { Table } from '../models/table';
export declare class ToolsService {
    mysqlService: MysqlService;
    configService: ConfigService;
    constructor(mysqlService: MysqlService, configService: ConfigService);
    useDatabase(databaseName: string): Promise<void>;
    initializeMysql(): Promise<void>;
    getTables(): Promise<Table[]>;
    getColumns(tableName: string): Promise<Column[]>;
    getTypescriptType(type: string): string;
}
